Bug 770678

Summary: irrelevant message shown upon add-brick with wrong count
Product: [Community] GlusterFS Reporter: shylesh <shmohan>
Component: glusterdAssignee: krishnan parthasarathi <kparthas>
Status: CLOSED CURRENTRELEASE QA Contact: shylesh <shmohan>
Severity: high Docs Contact:
Priority: high    
Version: mainlineCC: gluster-bugs, nsathyan
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: glusterfs-3.4.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-24 13:14:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: 3.3.0qa42 Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 817967    

Description shylesh 2011-12-28 04:56:17 EST
Description of problem:
upon adding wrong nummber of brick counts some irrelevant message was shown

Version-Release number of selected component (if applicable):
Mainline

How reproducible:
always

Steps to Reproduce:
1.created a replicate volume with 4 bricks
2.executed the command "
gluster volume add-brick $vol replica 2  $brick5 $brick6 "
 
Actual results:
message displayed is "wrong r"

Expected results:
supposed to say brick count is wrong

Additional info:
[2011-12-28 04:41:08.495684] I [glusterd-brick-ops.c:329:glusterd_handle_add_brick] 0-glusterd: Received add brick req
[2011-12-28 04:41:08.495772] I [glusterd-brick-ops.c:377:glusterd_handle_add_brick] 0-management: replica-count is 2
[2011-12-28 04:41:08.495789] E [glusterd-brick-ops.c:209:gd_addbr_validate_replica_count] 0-glusterd: wrong r
[2011-12-28 04:41:08.495800] E [glusterd-brick-ops.c:442:glusterd_handle_add_brick] 0-glusterd: wrong r
[2011-12-28 04:41:16.067683] I [glusterd-brick-ops.c:329:glusterd_handle_add_brick] 0-glusterd: Received add brick req
[2011-12-28 04:41:16.067758] I [glusterd-brick-ops.c:377:glusterd_handle_add_brick] 0-management: replica-count is 2
[2011-12-28 04:41:16.067771] E [glusterd-brick-ops.c:209:gd_addbr_validate_replica_count] 0-glusterd: wrong r
[2011-12-28 04:41:16.067780] E [glusterd-brick-ops.c:442:glusterd_handle_add_brick] 0-glusterd: wrong r
(END)
Comment 1 Anand Avati 2012-01-05 03:52:24 EST
CHANGE: http://review.gluster.com/2581 (glusterd: Fixed add-brick error message.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2012-05-23 11:40:35 EDT
Now it shows proper message.

Volume Name: wrong
Type: Replicate
Volume ID: efc0ab2e-4417-4d3e-8841-1004ed9f07e5
Status: Started
Number of Bricks: 1 x 4 = 4
Transport-type: tcp
Bricks:
Brick1: 10.16.157.63:/home/bricks/wrong0
Brick2: 10.16.157.66:/home/bricks/wrong1
Brick3: 10.16.157.69:/home/bricks/wrong2
Brick4: 10.16.157.63:/home/bricks/wrong3
[root@gqac022 ~]# gluster v add-brick wrong replica 2 10.16.157.63:/home/bricks/wron4 10.16.157.66:/home/bricks/wrong5
Incorrect replica count (2) supplied. Volume already has (4)